// Fenster.cpp
//

#include <afxwin.h>
#include "AnwEl.h"
#include "Fenster.h"


BEGIN_MESSAGE_MAP(CFenster, CFrameWnd)
    ON_COMMAND(ID_OPTION_MUSIK,OnOptionMusik)
    ON_UPDATE_COMMAND_UI(ID_OPTION_MUSIK,OnUpdateOptionMusik)
    ON_COMMAND(ID_OPTION_MUSIKSTUECK,OnOptionMusikstueck)
    ON_UPDATE_COMMAND_UI(ID_OPTION_MUSIKSTUECK,OnUpdateOptionMusikstueck)
    ON_WM_PAINT()
END_MESSAGE_MAP()

CFenster::CFenster()
{
 musikStatus = FALSE;
 CString m_Titel;
 m_Titel.LoadString(IDR_MAINFRAME);
 Create(
        AfxRegisterWndClass(
                            CS_NOCLOSE,
                            AfxGetApp()->LoadCursor(IDC_CURSOR),
//                          CreateHatchBrush(HS_DIAGCROSS,RGB(0,129,129)),
                            CreatePatternBrush(LoadBitmap(AfxGetInstanceHandle(),
							MAKEINTRESOURCE(IDB_BITMAP1))),
                            AfxGetApp()->LoadIcon(IDR_MAINFRAME)
        ),
	m_Titel,
	WS_OVERLAPPEDWINDOW,
	rectDefault,
	NULL,
	MAKEINTRESOURCE(IDR_MAINFRAME)
 );
 LoadAccelTable(MAKEINTRESOURCE(IDR_MAINFRAME));
}

void CFenster::OnOptionMusik(void)
{
	musikStatus = !musikStatus;
}

void CFenster::OnUpdateOptionMusik(CCmdUI *pCmdUI)
{
	if (musikStatus)
	{
		pCmdUI->SetCheck(TRUE);
		pCmdUI->SetText(_T("Musik an"));
	}
	else
	{
		pCmdUI->SetCheck(FALSE);
		pCmdUI->SetText(_T("Musik aus"));
	}
}

void CFenster::OnOptionMusikstueck(void)
{
	MessageBox(_T("Hier knnte die Liedwahl folgen."),
					_T("Musikstck auswhlen"),
					MB_ICONEXCLAMATION | MB_OK);
}

void CFenster::OnUpdateOptionMusikstueck(CCmdUI *pCmdUI)
{
	if (musikStatus)
		pCmdUI->Enable(TRUE);
	else
		pCmdUI->Enable(FALSE);
}

void CFenster::OnPaint()
{
 CPaintDC Tafel(this);
 CString Satz="Dies ist ein etwas lngerer "
                    "Satz fr OnDraw";
 CRect   Kasten(10,200,100,300);

 Tafel.SetBkMode(TRANSPARENT);
 Tafel.TextOut(10,50,"Hallo Welt");
 Tafel.SetBkMode(OPAQUE);
 Tafel.TextOut(10,100,"Hallo Freunde");
 Tafel.SetBkColor(RGB(0,255,0));
 Tafel.SetTextColor(RGB(255,0,0));
 Tafel.TextOut(10,150,"Hallo Feinde");
 Tafel.DrawText(Satz,Kasten,DT_WORDBREAK | DT_RIGHT);
 Tafel.FillSolidRect(150,50,150,150,RGB(0,0,255));
}

