// Fenster.cpp
#include <afxwin.h>
#include "Aufgabe8.h"
#include "Fenster.h"
#include "Info.h"
#include "Text.h"
#include "Farbe.h"

BEGIN_MESSAGE_MAP(CFenster, CFrameWnd)
	ON_COMMAND(ID_INFO,OnInfo)
	ON_COMMAND(ID_BEARBEITEN_TEXT,OnBearbeitenText)
	ON_COMMAND(ID_BEARBEITEN_FARBE,OnBearbeitenFarbe)
	ON_WM_PAINT()
END_MESSAGE_MAP()

void CFenster::OnInfo(void)
{
 CInfo Info;
 Info.DoModal();
}


CFenster::CFenster()
{
 Satz=_T("Lasst uns jetzt anfangen!");
 Kasten.SetRect(10,50,100,300);
 m_VGF=RGB(0,255,0);
 m_HGF=RGB(0,0,255);
}

void CFenster::OnBearbeitenText(void)
{
 CTextDialog dlg;
 dlg.m_Text=Satz;
 dlg.DoModal();
 Satz=dlg.m_Text;
 InvalidateRect(NULL);
}

void CFenster::OnBearbeitenFarbe(void)
{
 CFarbeDialog dlg;
 dlg.SetFarbe(m_HGF,1);
 dlg.SetFarbe(m_VGF,0);
 dlg.DoModal();
 m_HGF=dlg.GetFarbe(1);
 m_VGF=dlg.GetFarbe(0);
 InvalidateRect(NULL);
}

void CFenster::OnPaint(void)
{
 CPaintDC Tafel(this);
 Tafel.SetBkMode(OPAQUE);
 Tafel.SetBkColor(m_HGF);
 Tafel.SetTextColor(m_VGF);
 Tafel.DrawText(Satz,Kasten,DT_CALCRECT | DT_WORDBREAK | DT_RIGHT);
 Tafel.DrawText(Satz,Kasten,DT_WORDBREAK | DT_RIGHT);
}