// Fenster.cpp
//

#include <afxwin.h>
#include "AnwEl.h"
#include "Fenster.h"


BEGIN_MESSAGE_MAP(CFenster, CFrameWnd)
    ON_COMMAND(ID_OPTION_MUSIK,OnOptionMusik)
    ON_UPDATE_COMMAND_UI(ID_OPTION_MUSIK,OnUpdateOptionMusik)
    ON_COMMAND(ID_OPTION_MUSIKSTUECK,OnOptionMusikstueck)
    ON_UPDATE_COMMAND_UI(ID_OPTION_MUSIKSTUECK,OnUpdateOptionMusikstueck)
END_MESSAGE_MAP()

CFenster::CFenster()
{
 musikStatus = FALSE;
}

void CFenster::OnOptionMusik(void)
{
	musikStatus = !musikStatus;
}

void CFenster::OnUpdateOptionMusik(CCmdUI *pCmdUI)
{
	if (musikStatus)
	{
		pCmdUI->SetCheck(TRUE);
		pCmdUI->SetText(_T("Musik an"));
	}
	else
	{
		pCmdUI->SetCheck(FALSE);
		pCmdUI->SetText(_T("Musik aus"));
	}
}

void CFenster::OnOptionMusikstueck(void)
{
	MessageBox(_T("Hier knnte die Liedwahl folgen."),
					_T("Musikstck auswhlen"),
					MB_ICONEXCLAMATION | MB_OK);
}

void CFenster::OnUpdateOptionMusikstueck(CCmdUI *pCmdUI)
{
	if (musikStatus)
		pCmdUI->Enable(TRUE);
	else
		pCmdUI->Enable(FALSE);
}


