// Bild.cpp

#include <afxwin.h>
#include "TuBEditor.h"
#include "Grafik.h"
#include "Bild.h"

IMPLEMENT_DYNCREATE(CBild, CView)

CBild::CBild()
{
   last.SetRectEmpty();
}

BEGIN_MESSAGE_MAP(CBild, CView)
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
	ON_WM_MOUSEMOVE()
END_MESSAGE_MAP()

void CBild::OnDraw(CDC* pDC)
{
	CGrafik* pDoc = GetDocument();
	pDC->Ellipse(pDoc->m_ObenLinks.x,pDoc->m_ObenLinks.y,
		pDoc->m_UntenRechts.x,pDoc->m_UntenRechts.y);
}

void CBild::OnLButtonDown(UINT nFlags, CPoint point)
{
	CGrafik* pDoc = GetDocument();
	pDoc->m_ObenLinks = point;
	SetCapture();
	CView::OnLButtonDown(nFlags, point);
}

void CBild::OnLButtonUp(UINT nFlags, CPoint point)
{
	CGrafik* pDoc = GetDocument();
	if (GetCapture() == this)
	{
		pDoc->m_UntenRechts = point;
		InvalidateRect(NULL);
		pDoc->UpdateAllViews(this);
		UpdateWindow();
		ReleaseCapture();
		last.SetRectEmpty();
	}
	CView::OnLButtonUp(nFlags, point);
}

void CBild::OnMouseMove(UINT nFlags, CPoint point)
{
	CGrafik* pDoc = GetDocument();
	if (GetCapture() == this)
	{
		CClientDC Tafel(this);
		CRect temp(pDoc->m_ObenLinks,point);
		Tafel.DrawDragRect(temp,CSize(1,1),last,CSize(1,1));
		last.SetRect(pDoc->m_ObenLinks.x,
                             pDoc->m_ObenLinks.y,
                             point.x,
                             point.y);
	}
	CView::OnMouseMove(nFlags, point);
}
