// Schrift.cpp

#include <afxwin.h>
#include "TuBEditor.h"
#include "Text.h"
#include "Schrift.h"

IMPLEMENT_DYNCREATE(CSchrift, CView)

BEGIN_MESSAGE_MAP(CSchrift, CView)
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_WM_CHAR()
END_MESSAGE_MAP()

void CSchrift::OnDraw(CDC* pDC)
{
	CText* pDoc = GetDocument();
	pDC->TextOut(1,1,pDoc->Puffer);	//(2)
}

void CSchrift::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags)
{
	CString temp;				//(1)
	CText* pDoc = GetDocument();	//(2)
	if (nChar >=32 && nChar <=127)	//(3)
		{
			temp.Format("%c",nChar);	//(4)
			pDoc->Puffer+=temp;	//(5)
			pDoc->UpdateAllViews(this);	//(6)
			InvalidateRect(NULL);	//(7)
			UpdateWindow();	//(8)
		}
	CView::OnChar(nChar, nRepCnt, nFlags);
}

void CSchrift::OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint)
{
   Invalidate();
}
