// Linie.cpp

#include <afxwin.h>
#include "TuBEditor.h"
#include "Grafik.h"
#include "Linie.h"

IMPLEMENT_DYNCREATE(CLinie, CView)

BEGIN_MESSAGE_MAP(CLinie, CView)
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
END_MESSAGE_MAP()

void CLinie::OnDraw(CDC* pDC)
{
	CGrafik* pDoc = GetDocument();
	pDC->MoveTo(pDoc->m_ObenLinks);
	pDC->LineTo(pDoc->m_UntenRechts);
}

void CLinie::OnLButtonDown(UINT nFlags,CPoint point)
{
	CGrafik* pDoc = GetDocument();
	pDoc->m_ObenLinks = point;
	SetCapture();
	CView::OnLButtonDown(nFlags, point);
}

void CLinie::OnLButtonUp(UINT nFlags, CPoint point)
{
	CGrafik* pDoc = GetDocument();
	if (GetCapture()==this)
	{
		pDoc->m_UntenRechts=point;
		InvalidateRect(NULL);
		pDoc->UpdateAllViews(this);
		UpdateWindow();
		ReleaseCapture();
	}
	CView::OnLButtonUp(nFlags, point);
}

BOOL CLinie::OnPreparePrinting(CPrintInfo* pInfo)
{
     return DoPreparePrinting(pInfo);
}

