// Farbe.cpp
//

#include <afxwin.h>
#include "Aufgabe8.h"
#include "Farbe.h"


CFarbeDialog::CFarbeDialog(CWnd* pParent)
	: CDialog(IDD_FARBE, pParent)
{
	m_VG=-1;
	m_HG=-1;
}

void CFarbeDialog::DoDataExchange(CDataExchange* pDX)
{
	DDX_Radio(pDX,IDC_ROT_V,m_VG);
	DDX_Radio(pDX,IDC_ROT_H,m_HG);
	CDialog::DoDataExchange(pDX);
}

COLORREF CFarbeDialog::GetFarbe(int f)
{
	int Farbe[]={0,0,0};
	if (f==0)
           Farbe[m_VG]=255;
	else
            Farbe[m_HG]=255;
	return (RGB(Farbe[0],Farbe[1],Farbe[2]));
}

void CFarbeDialog::SetFarbe(COLORREF x,int f)
{
	if (f==0)
	{
        	if (x>0x0000FFFF)
                   m_VG=2;
		else if(x>0x000000FF)
                    m_VG=1;
		else
                    m_VG=0;
	}
	else
	{
        	if (x>0x0000FFFF)
                   m_HG=2;
		else if(x>0x000000FF)
                     m_HG=1;
		else
                    m_HG=0;
	}
}